# 🤝 Contribution Guidelines

We appreciate your interest in contributing to our icon repository! To ensure smooth collaboration, kindly adhere to the following guidelines:

## 🌟 Icon Specifications

- Icons should be provided in both `PNG` and `SVG` formats. Other formats like `JPEG` or `WEBP` will not be accepted.
  - In cases where an `SVG` version is unavailable, a `PNG` version alone suffices.
  - Conversely, if a `PNG` version is missing, it can be generated using [Ezgif SVG to PNG](#-converting-svg-to-png).
- `PNG`s should maintain a height of exactly `512px`, while width can vary. However, a 1:1 aspect ratio is preferred.
  - ❗ Avoid upscales! Exceptions will be made only if the correct or a downscaled version cannot be obtained.
  - Downsizing can be accomplished using [iLoveIMG Resize](#-downscaling-pngs).
- Icons should be named using the [Kebab Case](https://wiki.c2.com/?KebabCase) convention, reflecting their full name. For instance, "Facebook Messenger" should be named `facebook-messenger.png`.
- Icons that are predominantly monochrome should default to a dark version. Light versions should be named `name-light.png`. If a light version is not available, use [https://pinetools.com/colorize-image](https://pinetools.com/colorize-image) to adjust its color.

## 💻 Gitmoji Commits

- Use [Gitmoji](https://gitmoji.dev/) in your commit messages. This helps us keep our commit history clear and easy to understand. For instance, use the `🍱` emoji for commits related to updating icon colors, and `📝` for documentation updates.

## 🔀 Converting SVG to PNG

1. Go to https://ezgif.com/svg-to-png.
2. Upload the `SVG` file by clicking "Upload".
3. Set the "Height (optional)" field to `512`, leaving other settings as default.
4. Click "Convert to PNG!".
5. Click "Save" located at the bottom right under the converted image.

## ⤵️ Downscaling PNGs

1. Go to https://www.iloveimg.com/resize-image.
2. Upload the `PNG` file(s).
3. Adjust the "Height (px)" field to `512`, leaving other settings as default.
4. Click "Resize IMAGES".
5. Download the resized icon(s).

## 🤝 Contributing

1. Fork the repository to your GitHub account.
2. Clone the repository to your local machine.
3. Add your icon(s) to the repository, adhering to the specified guidelines.
4. Push your changes to your fork.
5. Create a pull request in the main repository.

## 🚨 Code of Conduct

Kindly note that contributing to this repository necessitates adherence to our code of conduct, outlined in the [CODE_OF_CONDUCT.md](CODE_OF_CONDUCT.md) file within the repository.

---

Should you have any queries or concerns, feel free to reach out to me using walkxnl@gmail.com. Happy contributing! 🙌
